Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra.centralised
Class CentralisedExecutionControl

    java.lang.Object
      jason.infra.centralised.CentralisedExecutionControl

All Implemented Interfaces:
  ExecutionControlInfraTier

    public class CentralisedExecutionControl

extends java.lang.Object
implements ExecutionControlInfraTier

Concrete implementation of the controller for centralised infrastructure tier.

Constructor Summary
`CentralisedExecutionControl(ClassParameters userControlClass, RunCentralisedMAS masRunner)`

Method Summary
`org.w3c.dom.Document` | `getAgState(java.lang.String agName)` Gets the agent state (beliefs, intentions, plans, ...) as an XML document
`RuntimeServicesInfraTier` | `getRuntimeServices()` Gets an object with infrastructure runtime services
`ExecutionControl` | `getUserControl()`
`void` | `informAgToPerformCycle(java.lang.String agName, int cycle)` Informs an agent to continue to its next reasoning cycle.
`void` | `informAllAgsToPerformCycle(int cycle)` Informs all agents to continue to its next reasoning cycle.
`void` | `receiveFinishedCycle(java.lang.String agName, boolean breakpoint, int cycle)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CentralisedExecutionControl

    public CentralisedExecutionControl(ClassParameters userControlClass,
                                       RunCentralisedMAS masRunner)
                                throws JasonException

Throws:
  `JasonException`

Method Detail

### stop

    public void stop()

### getUserControl

    public ExecutionControl getUserControl()

### receiveFinishedCycle

    public void receiveFinishedCycle(java.lang.String agName,
                                     boolean breakpoint,
                                     int cycle)

### informAgToPerformCycle

    public void informAgToPerformCycle(java.lang.String agName,
                                       int cycle)

  Description copied from interface: `ExecutionControlInfraTier`
  Informs an agent to continue to its next reasoning cycle.

  Specified by:
    `informAgToPerformCycle` in interface `ExecutionControlInfraTier`

### informAllAgsToPerformCycle

    public void informAllAgsToPerformCycle(int cycle)

  Description copied from interface: `ExecutionControlInfraTier`
  Informs all agents to continue to its next reasoning cycle.

  Specified by:
    `informAllAgsToPerformCycle` in interface `ExecutionControlInfraTier`

### getAgState

    public org.w3c.dom.Document getAgState(java.lang.String agName)

  Description copied from interface: `ExecutionControlInfraTier`
  Gets the agent state (beliefs, intentions, plans, ...) as an XML document

  Specified by:
    `getAgState` in interface `ExecutionControlInfraTier`

### getRuntimeServices

    public RuntimeServicesInfraTier getRuntimeServices()

  Description copied from interface: `ExecutionControlInfraTier`
  Gets an object with infrastructure runtime services

  Specified by:
    `getRuntimeServices` in interface `ExecutionControlInfraTier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD